Name:           pp-uboot
#
Version:        2021.01
Release:        rc5%{?dist}
Summary:        uboot (Yoda) from pine64.org with UEFI Btrfs and Crust support for the PinePhone 2GB and 3GB models and the PineTab

License:        GPLv3+
URL:            https://gitlab.com/pine64-org/u-boot
Source0:        pp-uboot.zip

Requires:       bash

Obsoletes:      yoda-uboot

%description
Uboot from https://gitlab.com/pine64-org/u-boot with support for 2GB and 3GB phones and PineTab - and with Crust suspend support.

%global debug_package %{nil}

%prep
%autosetup -p1 -c

%install
mkdir -p $RPM_BUILD_ROOT/boot/
cp u-boot-sunxi-with-spl.bin $RPM_BUILD_ROOT/boot/
cp update-uboot.sh $RPM_BUILD_ROOT/boot/
cp Readme.uboot $RPM_BUILD_ROOT/boot/
cp update-boot-script.sh $RPM_BUILD_ROOT/boot/
cp boot.scr $RPM_BUILD_ROOT/boot/
cp boot.cmd $RPM_BUILD_ROOT/boot/

%post
cd /boot
bash ./update-uboot.sh

%files
/boot/u-boot-sunxi-with-spl.bin
/boot/update-uboot.sh
/boot/Readme.uboot
/boot/update-boot-script.sh
/boot/boot.cmd
/boot/boot.scr

%changelog
* Wed Apr 07 2021 Tor - 2021.01-rc5
- Changing the version

* Sat apr 03 2021 Yoda - 2021.01-rc4b
- Updated ATF and Crust for kernels with new CPUIDLE support
- Included boot.cmd and boot.scr into this package

* Fri Jan 01 2021 Yoda - 2021.01-rc4
- Update to latest version. fixing wifi ip change

* Wed Oct 14 2020 Yoda - 1.0.0-0
- Initial packaging (hack)
